# SourcePath: dhcpcd/20170904dev
Summary: dhcpcd - a DHCP client
Name: sony-target-dev-dhcpcd 
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-dhcpcd
Version: 6.11.5
Release: 14000002
Source: dhcpcd-%{version}.tar.xz
URL: https://roy.marples.name/downloads/dhcpcd/dhcpcd-6.11.5.tar.xz
License: 2 clause BSD license.
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_target_dir}
Prefix: %{sony_target_dir}


%description
dhcpcd is a DHCP and DHCPv6 client.

%package -n %{pkgname}
Summary: dhcpcd - a DHCP client
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
dhcpcd is a DHCP and DHCPv6 client. 

%prep
%setup -n dhcpcd-%{version} -q

%build
%sony_target_dev_setup
./configure    --host=%{sony_target_config} --build=%{sony_host_config} \
               --prefix=%{sony_target_dev_prefix}  --includedir=%{sony_target_dev_include_dir} \
               --libexecdir=/lib/dhcpcd   --dbdir=/var/lib/dhcpcd
make


%install
rm -rf ${RPM_BUILD_ROOT}
%sony_target_dev_setup
make install DESTDIR=${RPM_BUILD_ROOT}%{sony_target_dir}

#move dhcpcd.conf
mkdir -p ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}
mv ${RPM_BUILD_ROOT}%{sony_target_dir}/usr/etc/*  ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_sysconf_dir}

rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}%{sony_target_dev_data_dir}/man/
rm -rf ${RPM_BUILD_ROOT}%{sony_target_dir}/usr/etc/

%clean
rm -rf ${RPM_BUILD_ROOT}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_sbin_dir}/*
%{sony_target_dir}%{sony_target_dev_data_dir}/*
%{sony_target_dir}/lib/dhcpcd/*
%{sony_target_dir}%{sony_target_dev_sysconf_dir}/*

%changelog
* Mon Sep 04 2017 Sony Corporation
- Initial build.
